## live-config 5.20160607

=== debian/changelog ===
live-config (5.20160607) unstable; urgency=medium

  * Team upload.
  * No longer manually start the getty@* services. There is systemd-logind
    already taking care of this at runtime when the user switches to the
    corresponding VT. Furthermore systemd-logind is smarter since it will
    avoid running it on an already used VT (such as vt1 which is nowadays
    used by gdm3). This also gets rid of the undesirable boot delay that
    was likely introduced by one of the above conflicts.
  * Make live-config-systemd the default backend.
  * Properly handle hwclock set to local time. Closes: #824197
    Thanks to Tom Jampen <tom@cryptography.ch> for the patch.
  * Fix timezone configuration by dropping /etc/localtime so that
    tzdata config script is forced to recreate it from /etc/timezone.
    Closes: #816201 Thanks to Gregory DAVID <groolot@groolot.net> for
    the analysis.
  * Also look for live/config.conf in /lib/live/mount/persistence/*/
    Closes: #817831 Thanks to Gregory DAVID <groolot@groolot.net>
    for the patch.
  * Automatically export variables set in live-config configuration
    files so that components inherit from them. Closes: #799359
    Thanks to Lukas Schwaighofer <lukas@schwaighofer.name> for the patch.
  * Drop override and options for XZ compression, it has been the default for
    a while.
  * Bump Standards-Version to 3.9.8.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 07 Jun 2016 16:30:13 +0200

## live-config 5.20170112

=== debian/changelog ===
live-config (5.20170112) unstable; urgency=medium

  * Team upload.
  * Don't force the vboxvideo Xorg driver when virtualbox-guest-x11 is
    installed. It's harmful when we use the kernel driver. Closes: #831384
    Thanks to intrigeri and Rohan Garg.
  * Use dbus-run-session instead of dbus-launch to run gsettings. Thanks
    to Simon McVittie for the report. Closes: #836102 
  * Support xorg-driver=noproprietary to not override Xorg's auto-detection
    of the driver (live-config does that by default for cards supported by the
    fglrx/nvidia drivers if they are installed). Thanks to Wolfgang Scheicher
    for the initial patch. Closes: #808732

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 12 Jan 2017 18:11:22 +0100

live-config (5.20160608) unstable; urgency=medium

  * Team upload.
  * Replace components/0170-systemd with a systemd generator so that
    we don't reload systemd in the middle of the boot sequence. This
    really fixes the boot delay experienced with systemd 230.
  * Improve ordering of live-config.service so that it runs after the
    local filesystems have been mounted.
  * Rely on dh_systemd_enable to enable the service instead of shipping
    a basic.target.wants/live-config.service symlink in the package.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 08 Jun 2016 12:38:58 +0200

=== debian/control ===
Source: live-config
Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-systemd
Build-Depends-Indep: lsb-release
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-live/live-config.git
Vcs-Git: https://anonscm.debian.org/git/debian-live/live-config.git
Homepage: https://debian-live.alioth.debian.org/live-config/

Package: live-config
Architecture: all
Depends: live-config-systemd | live-config-backend,
         ${misc:Depends}
Recommends: iproute2 | iproute,
            keyboard-configuration,
            live-config-doc,
            live-tools,
            locales | locales-all,
            sudo,
            user-setup
Suggests: pciutils,
          wget
Description: Live System Configuration Components
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 In addition to live-config, a backend for an init system is required, such as
 live-config-systemd.

Package: live-config-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Live System Configuration Components (documentation)
 live-config contains the components that configure a live system during the
 boot process (late userspace).
 .
 This package contains the documentation.

Package: live-config-systemd
Architecture: all
Depends: systemd,
         ${misc:Depends}
Recommends: dbus
Conflicts: live-config-backend
Provides: live-config-backend
Replaces: live-config-backend
Description: Live System Configuration Components (systemd backend)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 This package contains the systemd backend.

Package: live-config-sysvinit
Architecture: all
Depends: sysvinit-core | sysvinit (<< 2.88dsf-44),
         ${misc:Depends}
Conflicts: live-config-backend
Provides: live-config-backend
Replaces: live-config-backend
Description: Live System Configuration Components (sysvinit backend)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 This package contains the sysvinit backend.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --parallel --with systemd

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/tmp

	# live-config-sysvinit
	mkdir -p debian/live-config-sysvinit/lib/live/config
	mv debian/tmp/lib/live/config/*-sysvinit debian/live-config-sysvinit/lib/live/config
	mv debian/tmp/lib/live/config/*-sysv-rc debian/live-config-sysvinit/lib/live/config

	# Using user-setup instead of live-debconfig
	rm -f debian/tmp/live/config/*live-debconfig*

	# Removing unused files
	rm -f debian/tmp/usr/share/doc/live-config/COPYING
	frontend/live-config-update debian/tmp

override_dh_compress:
	dh_compress -Xusr/share/doc/live-config/examples

override_dh_install:
	dh_install --fail-missing

override_dh_installinit:
	dh_installinit -p live-config-sysvinit --no-restart-on-upgrade --no-start --update-rcd-params='start 00 S .' --name live-config --onlyscripts

## live-config 5.20170112+deb9u1

=== debian/changelog ===
live-config (5.20170112+deb9u1) stretch; urgency=medium

  [ Cyril Brulebois ]
  * Cherry-pick the change below to improve KDE live images.

  [ Алексей Шилин ]
  * Add components/0085-sddm to configure autologin for KDE / Plasma live
    images. Closes: #865382.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 20 Oct 2017 16:53:40 +0200

## live-config 5.20170316

=== Makefile ===
# Makefile

## live-config(7) - System Configuration Components
## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
##
## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


SHELL := sh -e

LANGUAGES = $(shell cd manpages/po && ls)

SCRIPTS = backend/*/*.init frontend/* components/*

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; \
	then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be obtained from: "; \
		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
		echo "I: On Debian based systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

build:
	@echo "Nothing to build."

install:
	# Installing backend
	mkdir -p $(DESTDIR)/etc/init.d
	cp backend/sysvinit/live-config.init $(DESTDIR)/etc/init.d/live-config

	mkdir -p $(DESTDIR)/lib/systemd/system $(DESTDIR)/lib/systemd/system-generators
	cp backend/systemd/live-config.systemd $(DESTDIR)/lib/systemd/system/live-config.service
	cp backend/systemd/live-config-getty-generator $(DESTDIR)/lib/systemd/system-generators/

	# Installing frontend and components
	mkdir -p $(DESTDIR)/bin $(DESTDIR)/lib/live/config
	cp frontend/live-* $(DESTDIR)/bin
	cp frontend/init-config.sh $(DESTDIR)/lib/live/
	cp components/* $(DESTDIR)/lib/live/config

	mkdir -p $(DESTDIR)/var/lib/live/config

	# Installing shared data
	mkdir -p $(DESTDIR)/usr/share/live/config
	cp -r VERSION share/* $(DESTDIR)/usr/share/live/config

	# Installing docs
	mkdir -p $(DESTDIR)/usr/share/doc/live-config
	cp -r COPYING examples $(DESTDIR)/usr/share/doc/live-config

	# Installing manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

clean:
	@echo "Nothing to clean."

distclean: clean
	@echo "Nothing to distclean."

reinstall: uninstall install

=== manpages/Makefile ===
# Makefile

## live-config(7) - System Configuration Components
## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
##
## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

build: check po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be obtained from:"; \
		echo "I:   http://po4a.alioth.debian.org/"; \
		echo "I: On Debian based systems, po4a can be installed with:"; \
		echo "I:   apt-get install po4a"; \
		exit 1; \
	fi

	po4a --keep 0 --package-name live-config --package-version $(shell cat ../VERSION) po4a.cfg

clean:
	rm -rf $(LANGUAGES)

distclean: clean
	rm -f po4a.cfg

rebuild: distclean update build

check:
	@echo -n "Checking the integrity of .po files "

	@if [ -x /usr/bin/msgfmt ]; \
	then \
		for POFILE in po/*/*; \
		do \
			msgfmt --check --output-file=/dev/null $${POFILE}; \
			echo -n "."; \
		done; \
	else \
		echo "WARNING: skipping po integrity check. You must install gettext."; \
	fi
	
	@echo " done!"

=== debian/changelog ===
live-config (5.20170316) unstable; urgency=medium

  * Call "setupcon -k" ourselves to make the new keyboard configuration
    active. Closes: #854004
  * Add myself in Uploaders.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 16 Mar 2017 15:44:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: live-config
 Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>
+Uploaders: Iain R. Learmonth <irl@debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper (>= 9),

## live-config 5.20170623

=== debian/changelog ===
live-config (5.20170623) unstable; urgency=medium

  * Drop "Before=udev.service" in live-config-systemd.service as it
    breaks the boot process when you have multiple partitions mounted
    as part of local-fs.target. Closes: #827665, #855085
  * Move Setup_network definition to a shared file and include it
    where it is needed. Closes: #858013

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Jun 2017 14:15:17 +0200

## live-config 5.20170914

=== debian/changelog ===
live-config (5.20170914) unstable; urgency=medium

  [ Алексей Шилин ]
  * Add components/0085-sddm to configure autologin for KDE / Plasma live
    images. Closes: #865382.

  [ Raphaël Hertzog ]
  * Setting of keyboard configuration broke now that udev starts before
    live-config so we force a reload of the configuration for the input
    sub-system with udevadm. cf. https://bugs.kali.org/view.php?id=4239

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 14 Sep 2017 14:50:48 +0200

live-config (5.20170829) unstable; urgency=medium

  * Export LANG environment variable to systemd.
  * Merge locales-all component into the locales one. It was not doing
    anything useful on its own and it was buggy (was always setting LANG="" in
    /etc/profile.d/zz-live-config_locales-all.sh). This bug was breaking
    the locale in GNOME Wayland sessions whereas Xorg sessions were rescued
    by the fact that /etc/gdm3/Xsession overrides LANG with the content of
    GDM_LANG.
  * Bump Standards-Version to 4.1.0.
  * Bump debhelper compat level to 10.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 29 Aug 2017 12:01:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Iain R. Learmonth <irl@debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-systemd
 Build-Depends-Indep: lsb-release
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-live/live-config.git
 Vcs-Git: https://anonscm.debian.org/git/debian-live/live-config.git
 Homepage: https://debian-live.alioth.debian.org/live-config/

## live-config 5.20180224

=== debian/changelog ===
live-config (5.20180224) unstable; urgency=medium

  [ Steve McIntyre ]
  * Repo moved to salsa

  [ Ronny Standtke ]
  * Fix a race condition between live-config and systemd-tmpfiles-setup
    (Closes: #886009)

  [ Raphaël Hertzog ]
  * Minor packaging updates
    * Switch to debhelper compat level 11.
    * Bump Standards-Version to 4.1.3.
  * Adjust rules and build-depends for debhelper 11
  * Add lintian overrides for expected weirdness of init script and systemd unit
  * Fix spelling errors in the live-config manual page

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 24 Feb 2018 11:54:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Uploaders: Iain R. Learmonth <irl@debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               dh-systemd
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: lsb-release
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-live/live-config.git
-Vcs-Git: https://anonscm.debian.org/git/debian-live/live-config.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/live-team/live-config
+Vcs-Git: https://salsa.debian.org/live-team/live-config.git
 Homepage: https://debian-live.alioth.debian.org/live-config/
 
 Package: live-config

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh ${@} --parallel --with systemd
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=debian/tmp

## live-config 5.20190415

=== debian/changelog ===
live-config (5.20190415) unstable; urgency=medium

  * Downgrade compat back to 11, re-add debian/compat

 -- Jonathan Carter <jcc@debian.org>  Mon, 15 Apr 2019 17:31:07 +0000

live-config (5.20190312) unstable; urgency=medium

  * Update compat to debhelper-compat (= 12)
    - Use dh_missing instead of 'dh_install --fail-missing'
    - Rename no-restart-on-upgrade to no-stop-on-upgrade
  * Upgrade standards version to 4.3.0
  * Add self to uploaders
  * Integrate patch to select desktop environments for SDDM
    (Closes: #921921)

 -- Jonathan Carter <jcc@debian.org>  Mon, 11 Mar 2019 12:15:09 +0000

## live-config 5.20190507

=== debian/changelog ===
live-config (5.20190507) unstable; urgency=medium

  * Disable systemd NSS module during live-config. Closes: #928840

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 13 May 2019 11:29:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: live-config
 Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>, Raphaël Hertzog <hertzog@debian.org>
+Uploaders: Iain R. Learmonth <irl@debian.org>,
+           Raphaël Hertzog <hertzog@debian.org>,
+           Jonathan Carter <jcc@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: lsb-release
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/live-team/live-config
 Vcs-Git: https://salsa.debian.org/live-team/live-config.git
 Homepage: https://debian-live.alioth.debian.org/live-config/
@@ -35,6 +37,7 @@
 
 Package: live-config-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: Live System Configuration Components (documentation)

## live-config 5.20190519

=== Makefile ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	# Installing frontend and components
 	mkdir -p $(DESTDIR)/bin $(DESTDIR)/lib/live/config
 	cp frontend/live-* $(DESTDIR)/bin
-	cp frontend/init-config.sh $(DESTDIR)/lib/live/
+	cp frontend/*.sh $(DESTDIR)/lib/live/
 	cp components/* $(DESTDIR)/lib/live/config
 
 	mkdir -p $(DESTDIR)/var/lib/live/config

=== debian/changelog ===
live-config (5.20190519) unstable; urgency=medium

  * Downgrade compat back to 11, re-add debian/compat

 -- Jonathan Carter <jcc@debian.org>  Sun, 19 May 2019 10:56:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Jonathan Carter <jcc@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: lsb-release
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/live-team/live-config

## live-config 5.20190519+nmu1

=== debian/changelog ===
live-config (5.20190519+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:38:10 +0800

## live-config 11.0.1

=== debian/changelog ===
live-config (11.0.1) unstable; urgency=medium

  * Bump version number to same version of Debian development release
  * Document changes made in git that are not represented in changelog:
    - Document home page in debian/control
    - Use secure copyright file specification URI
    - Bump debhelper from 11 to 12
    - Set debhelper-compat version in Build-Depends
    - Update copyright headers and URLs
    - Fix package descriptions to reflect team name

 -- Jonathan Carter <jcc@debian.org>  Wed, 08 Apr 2020 11:10:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: live-config
-Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
+Maintainer: Debian Live Maintainers <debian-live@lists.debian.org>
 Uploaders: Iain R. Learmonth <irl@debian.org>,
            Raphaël Hertzog <hertzog@debian.org>,
            Jonathan Carter <jcc@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: lsb-release
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/live-team/live-config
 Vcs-Git: https://salsa.debian.org/live-team/live-config.git
-Homepage: https://debian-live.alioth.debian.org/live-config/
+Homepage: https://salsa.debian.org/live-team/live-config
 
 Package: live-config
 Architecture: all
@@ -26,7 +26,7 @@
 Suggests: pciutils,
           wget
 Description: Live System Configuration Components
- The Live Systems project maintains the components to build Debian based Live
+ The Debian Live project maintains the components to build Debian based Live
  systems and the official Debian Live images themselves.
  .
  live-config contains the components to configure a live system during the boot
@@ -55,7 +55,7 @@
 Provides: live-config-backend
 Replaces: live-config-backend
 Description: Live System Configuration Components (systemd backend)
- The Live Systems project maintains the components to build Debian based Live
+ The Debian Live project maintains the components to build Debian based Live
  systems and the official Debian Live images themselves.
  .
  live-config contains the components to configure a live system during the boot
@@ -71,7 +71,7 @@
 Provides: live-config-backend
 Replaces: live-config-backend
 Description: Live System Configuration Components (sysvinit backend)
- The Live Systems project maintains the components to build Debian based Live
+ The Debian Live project maintains the components to build Debian based Live
  systems and the official Debian Live images themselves.
  .
  live-config contains the components to configure a live system during the boot

## live-config 11.0.2

=== debian/changelog ===
live-config (11.0.2) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Drop Iain R. Learmonth from Uploaders on his request (Closes: #970287)
  * Drop undesired leading 'o' in mount options
  * Use dpkq-query instead of looking into /var/lib/dpkg/info/
    (Closes: #944980)
  * Revert "Drop the xfce4-panel hook, no longer needed."
  * Add user to the sudo group for better integration
  * Update the example to avoid direct access to dpkg's database
  * Update my email in the Uploaders field
  * Update the lintian override for a renamed tag
  * Bump Standards-Version to 4.5.1
  * Extend lintian override for live-config-systemd

  [ Unit 193 ]
  * Disable the xfce4-panel component if >= 4.16 is installed.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 08 Jan 2021 14:46:43 +0100

## live-config 11.0.3

=== debian/changelog ===
live-config (11.0.3) unstable; urgency=medium

  * Integrate patch to fix kde plasma desktop auto-login,
    thanks Leszek Lesner (Closes: #990390)

 -- Jonathan Carter <jcc@debian.org>  Mon, 28 Jun 2021 11:43:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,12 @@
 #!/usr/bin/make -f
 
+# Don't build live-config-sysvinit on Ubuntu since Ubuntu doesn't offer sysvinit
+ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
+SUPPORT_SYSVINIT := -Nlive-config-sysvinit
+endif
+
 %:
-	dh $@
+	dh $@ $(SUPPORT_SYSVINIT)
 
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=debian/tmp
@@ -21,8 +26,8 @@
 override_dh_compress:
 	dh_compress -Xusr/share/doc/live-config/examples
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_installinit:
-	dh_installinit -p live-config-sysvinit --no-restart-on-upgrade --no-start --update-rcd-params='start 00 S .' --name live-config --onlyscripts
+	dh_installinit -p live-config-sysvinit --no-stop-on-upgrade --no-start --update-rcd-params='start 00 S .' --name live-config --onlyscripts

## live-config 11.0.3build1

=== debian/changelog ===
live-config (11.0.3build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:05:23 +0000

## live-config 11.0.3%2Bnmu1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # Makefile
 
 ## live-config(7) - System Configuration Components
+## Copyright (C) 2016-2020 The Debian Live team
 ## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.

## live-config 11.0.3+devuan1

=== debian/changelog ===
live-config (11.0.3+devuan1) unstable; urgency=medium

  * Merge changes for kde plasma desktop auto-login.
  * Build for devuan unstable.
  * Make native, not quilt. Add patch changes and remove patch.

 -- fsmithred <fsmithred@gmail.com>  Fri, 13 Aug 2021 08:30:00 -0400

live-config (11.0.2-1+devuan2) unstable; urgency=medium1

  * Remove live-config-systemd.

 -- fsmithred <fsmithred@gmail.com>  Sat, 27 Mar 2021 14:50:00 -0400

live-config (11.0.2+devuan1) unstable; urgency=medium1

  * Add support for runit.

 -- fsmithred <fsmithred@gmail.com>  Mon, 22 Mar 2021 10:11:00 -0400

=== debian/control ===
Source: live-config
Maintainer: fsmithred <fsmithred@gmail.com>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: lsb-release
Standards-Version: 4.5.1
Vcs-Browser: https://git.devuan.org/devuan/live-config
Vcs-Git: git@git.devuan.org:devuan/live-config.git
Origin: Devuan

Package: live-config
Architecture: all
Depends: live-config-backend,
         ${misc:Depends}
Recommends: iproute2 | iproute,
            keyboard-configuration,
            live-config-doc,
            live-tools,
            locales | locales-all,
            sudo,
            user-setup
Suggests: pciutils,
          wget
Description: Live System Configuration Components
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 In addition to live-config, a backend for an init system is required, such as
 live-config-sysvinit.

Package: live-config-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Live System Configuration Components (documentation)
 live-config contains the components that configure a live system during the
 boot process (late userspace).
 .
 This package contains the documentation.

#Package: live-config-systemd
#Architecture: all
#Depends: systemd,
#         ${misc:Depends}
#Recommends: dbus
#Conflicts: live-config-backend
#Provides: live-config-backend
#Replaces: live-config-backend
#Description: Live System Configuration Components (systemd backend)
# The Debian Live project maintains the components to build Debian based Live
# systems and the official Debian Live images themselves.
# .
# live-config contains the components to configure a live system during the boot
# process (late userspace).
# .
# This package contains the systemd backend.

Package: live-config-sysvinit
Architecture: all
Depends: sysvinit-core | sysvinit (<< 2.88dsf-44),
         ${misc:Depends}
Conflicts: live-config-backend
Provides: live-config-backend
Replaces: live-config-backend
Description: Live System Configuration Components (sysvinit backend)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 This package contains the sysvinit backend.

Package: live-config-runit
Architecture: all
Depends: runit-init
         ${misc:Depends}
Conflicts: live-config-backend
Provides: live-config-backend
Replaces: live-config-backend
Description: Live System Configuration Components (runit backend)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 This package contains the runit backend.

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,10 @@
 	mv debian/tmp/lib/live/config/*-sysvinit debian/live-config-sysvinit/lib/live/config
 	mv debian/tmp/lib/live/config/*-sysv-rc debian/live-config-sysvinit/lib/live/config
 
+	# live-config-runit
+	mkdir -p debian/live-config-runit/lib/live/config
+	mv debian/tmp/lib/live/config/*-runit debian/live-config-runit/lib/live/config
+
 	# Using user-setup instead of live-debconfig
 	rm -f debian/tmp/live/config/*live-debconfig*

## live-config 11.0.3+nmu1

=== debian/changelog ===
live-config (11.0.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:16:02 +0200

=== debian/control ===
Source: live-config
Maintainer: Debian Live Maintainers <debian-live@lists.debian.org>
Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
           Jonathan Carter <jcc@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: lsb-release
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/live-team/live-config
Vcs-Git: https://salsa.debian.org/live-team/live-config.git
Homepage: https://salsa.debian.org/live-team/live-config

Package: live-config
Architecture: all
Depends: live-config-systemd | live-config-backend,
         ${misc:Depends}
Recommends: iproute2 | iproute,
            keyboard-configuration,
            live-config-doc,
            live-tools,
            locales | locales-all,
            sudo,
            user-setup
Suggests: pciutils,
          wget
Description: Live System Configuration Components
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 In addition to live-config, a backend for an init system is required, such as
 live-config-systemd.

Package: live-config-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Live System Configuration Components (documentation)
 live-config contains the components that configure a live system during the
 boot process (late userspace).
 .
 This package contains the documentation.

Package: live-config-systemd
Architecture: all
Depends: systemd,
         ${misc:Depends}
Recommends: dbus
Conflicts: live-config-backend
Provides: live-config-backend
Replaces: live-config-backend
Description: Live System Configuration Components (systemd backend)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 This package contains the systemd backend.

Package: live-config-sysvinit
Architecture: all
Depends: sysvinit-core | sysvinit (<< 2.88dsf-44),
         ${misc:Depends}
Conflicts: live-config-backend
Provides: live-config-backend
Replaces: live-config-backend
Description: Live System Configuration Components (sysvinit backend)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 This package contains the sysvinit backend.

## live-config 11.0.3+nmu1devuan1

=== Makefile ===
--- 
+++ 
@@ -53,9 +53,9 @@
 	mkdir -p $(DESTDIR)/etc/init.d
 	cp backend/sysvinit/live-config.init $(DESTDIR)/etc/init.d/live-config
 
-	mkdir -p $(DESTDIR)/lib/systemd/system $(DESTDIR)/lib/systemd/system-generators
-	cp backend/systemd/live-config.systemd $(DESTDIR)/lib/systemd/system/live-config.service
-	cp backend/systemd/live-config-getty-generator $(DESTDIR)/lib/systemd/system-generators/
+#	mkdir -p $(DESTDIR)/lib/systemd/system $(DESTDIR)/lib/systemd/system-generators
+#	cp backend/systemd/live-config.systemd $(DESTDIR)/lib/systemd/system/live-config.service
+#	cp backend/systemd/live-config-getty-generator $(DESTDIR)/lib/systemd/system-generators/
 
 	# Installing frontend and components
 	mkdir -p $(DESTDIR)/bin $(DESTDIR)/lib/live/config

=== debian/changelog ===
live-config (11.0.3+nmu1devuan1) unstable; urgency=medium

  * Update debhelper version to 13.

 -- fsmithred <fsmithred@gmail.com> Mon, 28 Nov 2022 08:24:00 -0500

live-config (11.0.3+devuan2) unstable; urgency=medium

  * Add runit install file to copy live-config init script.
  * Fix quotes in sed command in 0190-runit.

 -- fsmithred <fsmithred@gmail.com>  Fri, 19 Nov 2021 09:25:00 -0500

=== debian/control ===
Source: live-config
Maintainer: fsmithred <fsmithred@gmail.com>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: lsb-release
Standards-Version: 4.5.1
Vcs-Browser: https://git.devuan.org/devuan/live-config
Vcs-Git: git@git.devuan.org:devuan/live-config.git
Origin: Devuan

Package: live-config
Architecture: all
Depends: live-config-backend,
         ${misc:Depends}
Recommends: iproute2 | iproute,
            keyboard-configuration,
            live-config-doc,
            live-tools,
            locales | locales-all,
            sudo,
            user-setup
Suggests: pciutils,
          wget
Description: Live System Configuration Components
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 In addition to live-config, a backend for an init system is required, such as
 live-config-sysvinit.

Package: live-config-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Live System Configuration Components (documentation)
 live-config contains the components that configure a live system during the
 boot process (late userspace).
 .
 This package contains the documentation.

#Package: live-config-systemd
#Architecture: all
#Depends: systemd,
#         ${misc:Depends}
#Recommends: dbus
#Conflicts: live-config-backend
#Provides: live-config-backend
#Replaces: live-config-backend
#Description: Live System Configuration Components (systemd backend)
# The Debian Live project maintains the components to build Debian based Live
# systems and the official Debian Live images themselves.
# .
# live-config contains the components to configure a live system during the boot
# process (late userspace).
# .
# This package contains the systemd backend.

Package: live-config-sysvinit
Architecture: all
Depends: sysvinit-core | sysvinit (<< 2.88dsf-44),
         ${misc:Depends}
Conflicts: live-config-backend
Provides: live-config-backend
Replaces: live-config-backend
Description: Live System Configuration Components (sysvinit backend)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 This package contains the sysvinit backend.

Package: live-config-runit
Architecture: all
Depends: runit-init
         ${misc:Depends}
Conflicts: live-config-backend
Provides: live-config-backend
Replaces: live-config-backend
Description: Live System Configuration Components (runit backend)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 This package contains the runit backend.

## live-config 11.0.3+nmu1.drbl1

=== debian/changelog ===
live-config (11.0.3+nmu1.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Applied patches from DRBL project.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 11 Feb 2023 22:20:08 +0800

## live-config 11.0.4

=== manpages/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # Makefile
 
 ## live-config(7) - System Configuration Components
+## Copyright (C) 2016-2020 The Debian Live team
 ## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.

=== debian/changelog ===
live-config (11.0.4) unstable; urgency=medium

  [ Jonathan Carter ]
  * Add changelog entries for Roland's recent changes

  [ Roland Clobus]
  * Update the polkit configuration to polkitd (Closes: #1037295)
  * Add lintian overrides

 -- Jonathan Carter <jcc@debian.org>  Mon, 10 Jul 2023 20:43:26 +0200

=== debian/control ===
Source: live-config
Maintainer: Debian Live Maintainers <debian-live@lists.debian.org>
Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
           Jonathan Carter <jcc@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: lsb-release
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/live-team/live-config
Vcs-Git: https://salsa.debian.org/live-team/live-config.git
Homepage: https://salsa.debian.org/live-team/live-config

Package: live-config
Architecture: all
Depends: live-config-systemd | live-config-backend,
         ${misc:Depends}
Recommends: iproute2 | iproute,
            keyboard-configuration,
            live-config-doc,
            live-tools,
            locales | locales-all,
            sudo,
            user-setup
Suggests: pciutils,
          wget
Description: Live System Configuration Components
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 In addition to live-config, a backend for an init system is required, such as
 live-config-systemd.

Package: live-config-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Live System Configuration Components (documentation)
 live-config contains the components that configure a live system during the
 boot process (late userspace).
 .
 This package contains the documentation.

Package: live-config-systemd
Architecture: all
Depends: systemd,
         ${misc:Depends}
Recommends: dbus
Conflicts: live-config-backend
Provides: live-config-backend
Replaces: live-config-backend
Description: Live System Configuration Components (systemd backend)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 This package contains the systemd backend.

Package: live-config-sysvinit
Architecture: all
Depends: sysvinit-core | sysvinit (<< 2.88dsf-44),
         ${misc:Depends}
Conflicts: live-config-backend
Provides: live-config-backend
Replaces: live-config-backend
Description: Live System Configuration Components (sysvinit backend)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 This package contains the sysvinit backend.

=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,6 @@
 	mv debian/tmp/lib/live/config/*-sysvinit debian/live-config-sysvinit/lib/live/config
 	mv debian/tmp/lib/live/config/*-sysv-rc debian/live-config-sysvinit/lib/live/config
 
-	# live-config-runit
-	mkdir -p debian/live-config-runit/lib/live/config
-	mv debian/tmp/lib/live/config/*-runit debian/live-config-runit/lib/live/config
-
 	# Using user-setup instead of live-debconfig
 	rm -f debian/tmp/live/config/*live-debconfig*
 
@@ -30,8 +26,5 @@
 override_dh_compress:
 	dh_compress -Xusr/share/doc/live-config/examples
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_installinit:
 	dh_installinit -p live-config-sysvinit --no-stop-on-upgrade --no-start --update-rcd-params='start 00 S .' --name live-config --onlyscripts

=== examples/live-config-foobar/debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_builddeb:
	dh_builddeb -- -Zxz

## live-config 11.0.4+drbl1

=== debian/changelog ===
live-config (11.0.4+drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Applied patches from DRBL project.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 13 Jul 2023 16:36:40 +0800

## live-config 11.0.5

=== Makefile ===
--- 
+++ 
@@ -53,15 +53,15 @@
 	mkdir -p $(DESTDIR)/etc/init.d
 	cp backend/sysvinit/live-config.init $(DESTDIR)/etc/init.d/live-config
 
-#	mkdir -p $(DESTDIR)/lib/systemd/system $(DESTDIR)/lib/systemd/system-generators
-#	cp backend/systemd/live-config.systemd $(DESTDIR)/lib/systemd/system/live-config.service
-#	cp backend/systemd/live-config-getty-generator $(DESTDIR)/lib/systemd/system-generators/
+	mkdir -p $(DESTDIR)/usr/lib/systemd/system $(DESTDIR)/usr/lib/systemd/system-generators
+	cp backend/systemd/live-config.systemd $(DESTDIR)/usr/lib/systemd/system/live-config.service
+	cp backend/systemd/live-config-getty-generator $(DESTDIR)/usr/lib/systemd/system-generators/
 
 	# Installing frontend and components
-	mkdir -p $(DESTDIR)/bin $(DESTDIR)/lib/live/config
-	cp frontend/live-* $(DESTDIR)/bin
-	cp frontend/*.sh $(DESTDIR)/lib/live/
-	cp components/* $(DESTDIR)/lib/live/config
+	mkdir -p $(DESTDIR)/usr/bin $(DESTDIR)/usr/lib/live/config
+	cp frontend/live-* $(DESTDIR)/usr/bin
+	cp frontend/*.sh $(DESTDIR)/usr/lib/live/
+	cp components/* $(DESTDIR)/usr/lib/live/config
 
 	mkdir -p $(DESTDIR)/var/lib/live/config

=== debian/changelog ===
live-config (11.0.5) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.7.0, no changes
  * Drop obsolete Lintian override
  * Update Lintian overrides syntax
  * Install files to /usr/
  * Set Rules-Requires-Root: no
  * Add myself to Uploaders

 -- Luca Boccassi <bluca@debian.org>  Sat, 25 May 2024 18:35:12 +0100

=== examples/live-config-foobar/debian/changelog ===
live-config-foobar (5-1) unstable; urgency=low

  * Initial release based on the live-config-foobar example package
    included in live-config.

 -- John Doe <john@example.org>  Wed, 01 Jan 2015 00:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: live-config
 Maintainer: Debian Live Maintainers <debian-live@lists.debian.org>
 Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
+           Luca Boccassi <bluca@debian.org>,
            Jonathan Carter <jcc@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: lsb-release
-Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/live-team/live-config
 Vcs-Git: https://salsa.debian.org/live-team/live-config.git
 Homepage: https://salsa.debian.org/live-team/live-config

## live-config 11.0.5build1

=== debian/changelog ===
live-config (11.0.5build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 12:35:51 +0000

## live-config 11.0.5+drbl3

=== debian/changelog ===
live-config (11.0.5+drbl3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuilt on Debian Bookworm with updated debhelper 13.15.3.
  * Appplied patches from DRBL/Clonezilla project. Dropped
    the patches about usercrypted and yescrypt for user password. 

 -- Steven Shiau <steven@clonezilla.org>  Sun, 02 Jun 2024 16:04:22 +0800

## live-config 11.0.5+kaisen1

=== debian/changelog ===
live-config (11.0.5+kaisen1) kaisen-packages; urgency=medium

  * Import the new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 18 Aug 2024 03:41:18 +0200

live-config (11.0.3+kaisen2) kaisen-packages; urgency=medium

  * Remove sed pattern to enable PasswordAuthentication in the live system

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 29 Mar 2022 18:46:28 +0200

live-config (11.0.3+kaisen1) kaisen-packages; urgency=medium

  * Import new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 12 Jul 2021 01:23:19 +0200

live-config (11.0.2+kaisen1) kaisen-packages; urgency=medium

  * Import new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sun, 31 Jun 2020 17:30:29 +0200

live-config (11.0.1+kaisen1) kaisen-devel; urgency=medium

  * Adding 0031-kaisen-password script at components folder

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sat, 20 Jun 2020 18:28:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: live-config
-Maintainer: Debian Live Maintainers <debian-live@lists.debian.org>
-Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
-           Luca Boccassi <bluca@debian.org>,
-           Jonathan Carter <jcc@debian.org>
+XSBC-Original-Maintainer: Debian Live Maintainers <debian-live@lists.debian.org>
+Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: lsb-release
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/live-team/live-config
-Vcs-Git: https://salsa.debian.org/live-team/live-config.git
+Vcs-Browser: https://gitlab.com/kaisenlinux/packages/live-config
+Vcs-Git: https://gitlab.com/kaisenlinux/packages/live-config.git
 Homepage: https://salsa.debian.org/live-team/live-config
 
 Package: live-config

## live-config 11.0.5+parrot1

=== debian/changelog ===
live-config (11.0.5+parrot1) echo; urgency=medium

  * Non-maintainer upload.
  * Set lightdm autologin timer to 1 to fix race condition

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 27 Jan 2026 22:24:02 +0100
